Skip to main content
PUT
Error

Authorizations

Authorization
string
header
required

Authorization: Bearer <token>. Accepts EITHER a Keycloak access token (scopes-in-token) OR an opaque POS session token; both resolve to the same pos.* scope vocabulary the route guards enforce.

Path Parameters

quoteId
string
required
Minimum string length: 1

Body

application/json
customerId
string
required
Minimum string length: 1
storeId
string
required
Minimum string length: 1
currency
string
required
Required string length: 3
lines
object[]
required
Minimum array length: 1
validUntil
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

Response

The updated quote (still draft).

The updated quote (still draft).

id
string
required
customerId
string
required
storeId
string
required
currency
string
required
lines
object[]
required
validUntil
string
required
status
enum<string>
required
Available options:
draft,
sent,
accepted,
expired,
cancelled
actorId
string
required
createdAt
string
required